using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_QiTa_JiHuaRenWu_XiuGai : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("修改计划任务", "网站后台", "修改计划任务", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            修改计划任务();
        else
            计划任务();
    }

    private void 计划任务()
    {
        int ID = Convert.ToInt32(Request.QueryString["ID"]);

        Hashtable 计划任务 = 常用.SQL_获取(new SqlCommand("SELECT * FROM [" + 程序.数据表前缀 + "网站_计划任务] WHERE [ID]=" + ID, 访问.连接));

        if (计划任务 == null)
            throw new Exception("计划任务不存在");

        RenWuMingChen.Text = Convert.ToString(计划任务["任务名称"]);
        GengXinPinLv.Text = Convert.ToString(计划任务["更新频率"]);
        CaoZuoWenJian.Text = Convert.ToString(计划任务["操作文件"]);
        if (Convert.ToBoolean(计划任务["启用状态"]))
            QiYongZhuangTai_T.Checked = true;
        else
            QiYongZhuangTai_F.Checked = true;
    }

    private void 修改计划任务()
    {
        访问.验证权限("7");
        int ID = Convert.ToInt32(Request.QueryString["ID"]);
        String 任务名称 = RenWuMingChen.Text;
        String 更新频率 = GengXinPinLv.Text;
        String 操作文件 = CaoZuoWenJian.Text;
        bool 启用状态 = QiYongZhuangTai_T.Checked;

        SqlCommand 语句 = new SqlCommand("UPDATE [" + 程序.数据表前缀 + "网站_计划任务] SET " +
            "[任务名称]=@任务名称," +
            "[更新频率]=@更新频率," +
            "[操作文件]=@操作文件," +
            "[启用状态]=@启用状态 WHERE [ID]=" + ID, 访问.连接);
        语句.Parameters.Add("@任务名称", SqlDbType.NVarChar).Value = 任务名称;
        语句.Parameters.Add("@更新频率", SqlDbType.NVarChar).Value = 更新频率;
        语句.Parameters.Add("@操作文件", SqlDbType.NVarChar).Value = 操作文件;
        语句.Parameters.Add("@启用状态", SqlDbType.Bit).Value = 启用状态;
        语句.ExecuteNonQuery();

        new 更新缓存数据(this.Context, 访问.连接).计划任务_更新计划任务();

        Response.Redirect("JiHuaRenWu.aspx");
    }
}
